#ifndef EKEYNET_SDK_SAMPLE_DLG_H_
#define EKEYNET_SDK_SAMPLE_DLG_H_

#include "resource.h"
#include "../ekeynetsdk/ekeynetsdk.h"
#ifndef EKEY_NET_SDK_
	#pragma comment(lib, "..\\ekeynetsdk\\ekeynetsdk.lib")
#endif //EKEY_NET_SDK_

class EkeyNetSdkSampleDlg : public CDialog
{
	DECLARE_MESSAGE_MAP()
	enum { IDD = IDD_TOCANETSDKSAMPLE_DIALOG };
public:
	EkeyNetSdkSampleDlg(CWnd* pParent = nullptr);
	virtual ~EkeyNetSdkSampleDlg();
protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	virtual BOOL OnInitDialog();
	virtual void OnOK();
private:
	void AddLine(CString str, BOOL bShowTime = TRUE);
	void AddFieldLine(int nFieldNo);
	void FieldContentToStrings(int nFieldNo, CStringList& list);
	bool _SetUserLookupFields(const CString& oid, const CString& dispName, const CString& firstName, const CString& lastName, const CString& personalID) const;
private:
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnTimer(UINT_PTR nIDEvent);
private:
	HICON m_hIcon;
	BYTE m_buffer[EKEY_NET_MAX_ARRAY_SIZE];
	CComboBox m_order;
	CListCtrl m_list;
	UINT_PTR m_timerID;
	CEdit m_editUserName;
	CEdit m_editPwd;
	CStatic m_staticDisplayName;
	CEdit m_editDisplayName;
	CStatic m_staticFirstName;
	CEdit m_editFirstName;
	CStatic m_staticLastName;
	CEdit m_editLastName;
	CStatic m_staticDescription;
	CEdit m_editDescription;
	CStatic m_staticOid;
	CEdit m_editOid;
	CStatic m_staticPath;
	CEdit m_editPath;
	CStatic m_staticNewName;
	CEdit m_editNewName;
	CStatic m_staticPersonalID;
	CEdit m_editPersonalID;
	CStatic m_staticCompany;
	CEdit m_editCompany;
};

#endif //EKEYNET_SDK_SAMPLE_DLG_H_
